Ubuntu

bcmwl-kernel-source depends on linux-headers-generic regardless of kernel flavour in use

Reported by Matt Zimmerman on 2009-11-06
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Undecided
Unassigned

Bug Description

atomicity:[~] dpkg -s bcmwl-kernel-source | grep-dctrl -sDepends ''
Depends: dkms, linux-libc-dev, libc6-dev, linux-headers-generic

If the system is running linux-generic-pae, for example, instead of linux-generic, then installing bcmwl-kernel-source will cause the headers for the -generic kernel to be installed unnecessarily.

It already depends on dkms, which has appropriate kernel header dependencies, so I think this can just be removed. Similarly, the compiler and development library dependencies should be taken care of by the dkms package.

ProblemType: Bug
Architecture: i386
Date: Thu Nov 5 16:50:02 2009
DistroRelease: Ubuntu 9.10
Package: bcmwl-kernel-source 5.10.91.9+bdcom-0ubuntu4
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: bcmwl
Tags: ubuntu-unr
Uname: Linux 2.6.31-14-generic i686

Matt Zimmerman (mdz) wrote :
Zygmunt Krynicki (zkrynicki) wrote :

I'm marking this as fix-released as in raring:

$ apt-cache show bcmwl-kernel-source | grep Depends
Depends: dkms, linux-libc-dev, libc6-dev, linux-headers-generic | linux-headers-server | linux-headers-lowlatency | linux-headers-virtual

It already depends on linux-headers-generic

Changed in bcmwl (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers